Commit ff9f6697 authored by Raphael Kubo da Costa's avatar Raphael Kubo da Costa Committed by Nicolas Fella
Browse files

openconnect: Adjust version check in CMake and allow version 3.99 again

Commit 4cb6ba1b ("[openconnect] Simplify CMake code") mentioned removing
support for openconnect < 3.99, which was also the case for the CMake code
that got removed.

The commit, however, also excluded version 3.99 itself in the pkg-config
version check, likely by accident. Restore the previous version check by
allowing 3.99 again.
parent 33255eb7
Pipeline #89824 passed with stage
in 1 minute and 24 seconds
......@@ -79,7 +79,7 @@ set_package_properties(KF5Prison PROPERTIES DESCRIPTION "Prison library"
)
find_package(PkgConfig REQUIRED)
pkg_check_modules(OPENCONNECT IMPORTED_TARGET openconnect>3.99)
pkg_check_modules(OPENCONNECT IMPORTED_TARGET openconnect>=3.99)
pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)
pkg_get_variable(BROADBANDPROVIDER_DATABASE mobile-broadband-provider-info database)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment